Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GraphPropertiesSelectionComboBox Class Reference

Combo box for property selection and creation in a graph. More...

`#include <CSVGraphMappingConfigurationWidget.h>`

List of all members.

## Public Member Functions

- GraphPropertiesSelectionComboBox (QWidget *parent=NULL)
- void setGraph (tlp::Graph *)
    Fill the combobox with the properties in the given graph.
- std::string getSelectedGraphProperty () const
    return the name of the property selected by the user. If the label is selected an empty string will be returned.
- void selectProperty (const std::string &propertyName)
    Select the property with the given name in the list.
- void setDefaultText (const QString &newDefaultText)
    Allow user to define it's default text.

## Detailed Description

Combo box for property selection and creation in a graph.

If the combo box is editable and if user enter the name of a property that doesn't exists this will create it. A popup will querry user for the type of the property to create. There is no way to delete a created property in this widget.

## Constructor & Destructor Documentation

tlp::GraphPropertiesSelectionComboBox::GraphPropertiesSelectionComboBox | ( | QWidget * | parent = `NULL` | ) |

## Member Function Documentation

std::string tlp::GraphPropertiesSelectionComboBox::getSelectedGraphProperty | ( |  | ) | const

return the name of the property selected by the user. If the label is selected an empty string will be returned.

Returns:
  The name of the selected property or an empty string if no valid property is selected.

void tlp::GraphPropertiesSelectionComboBox::selectProperty | ( | const std::string & | propertyName | ) |

Select the property with the given name in the list.

void tlp::GraphPropertiesSelectionComboBox::setDefaultText | ( | const QString & | newDefaultText | ) |

Allow user to define it's default text.

void tlp::GraphPropertiesSelectionComboBox::setGraph | ( | tlp::Graph * |  | ) |

Fill the combobox with the properties in the given graph.

Tulip Software by LaBRI Visualization Team 2001 - 2012